matrix:
  platform:
  - rockylinux8
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@rapidjson//:rapidjson'

bcr_test_module:
  module_path: '.'

  matrix:
    platform:
    - rockylinux8
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    bazel: [7.x, 8.x, rolling]

  tasks:
    test:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
      - '//...'
